Oore CI
ReferenceAPIOperationsInstance Settings

Update trusted proxy runtime settings

Update trusted proxy runtime settings

Operation IDupdate_external_access_trusted_proxy_settings
PUT
/v1/settings/external-access/trusted-proxy

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X PUT "https://example.com/v1/settings/external-access/trusted-proxy" \  -H "Content-Type: application/json" \  -d '{}'
{  "settings": {    "has_shared_secret": true,    "has_warpgate_ticket": true,    "trusted_proxy_cidrs": [      "string"    ],    "updated_at": 0,    "user_email_header": "string",    "warpgate_ticket_source": null  }}